// Copyright (c) 2023 Tudor Stanciu

import { acquire } from "@flare/tuitio-client";
import type { TuitioReactState, TuitioDispatchActions } from "./types";

const { token, validUntil, userName } = acquire();

export const initialState: TuitioReactState = {
  auth: {
    userName,
    token,
    validUntil
  },
  userInfo: undefined,
  configuration: { tuitioUrl: null }
};

export const initialDispatchActions: TuitioDispatchActions = {
  onLoginSuccess: () => undefined,
  onLogoutSuccess: () => undefined,
  onUserInfoLoaded: () => undefined
};
